https://b-api.lbkrs.com/v2/billing/exchange_contractAuthorization
Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.
Permission
The Broker ACCESS_TOKEN must be granted the permission above, or the call will be rejected.
Request body application/json
Trading date associated with this request. Use the date format defined by the API. This field is required.
Counter ID associated with this request. Format is {type}/{market}/{code}, for example, stock ST/HK/700 or ST/US/AAPL, and option OP/US/AAPL270319C320000.
Direction of this business operation. This field is required.
This field is required.
Specifies A/C No.. This field is required.
Pass the internal numeric ID of the customer's securities account (aaid), not the securities account number account_no (such as H00000000) or the customer ID member_id. One customer can have multiple aaid values.
This field is required.
Custodian ID associated with this request.
otcr_flag.
Allowed values: 1 Report, 0 Do not report
1- Yes (report OTCR)
0- No
Specifies Open/Close. This field is required.
OPEN- Open
CLOSE- Close
Specifies Position. This field is required.
LONG- Long
SHORT- Short
Identifies the business scenario to which this request applies.
Used when the instrument type is BOND.
Each item contains order_seq (front-office order number) / quantity / amount / per_value (par value per share) / ibond_interest (accrued interest) / price.
Child attributes
Front-office order number.
Quantity.
Amount.
Par value per share.
Accrued interest.
Price.
Responses
HTTP 200The request was processed successfully. The response data does not contain additional business fields.codemessagedatadataobjectdata structureNo nested fields
HTTP 400Bad request. Check the business error code in code and the error details in message.codemessagedatadataobjectdata structureNo nested fields
HTTP 401The user is not authenticated, or the login session has expired.codemessagedatadataobjectdata structureNo nested fields
HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.codemessagedatadataobjectdata structureNo nested fields
HTTP 408The request timed out. Check the business error code in code and the error details in message.codemessagedatadataobjectdata structureNo nested fields